//index.js
//获取应用实例
const app = getApp()

Page({
  onShow() {
    wx.setNavigationBarTitle({
      title: '楼盘详情'
    })
  },
  data: {
    UserInfo: app.globalData.UserInfo,
    ScreenBottomHeight: app.globalData.ScreenBottomHeight,
    EstateDetail: {
      Name: '楼盘名称', // 楼盘名称
      Price: '14000', // 均价
      Remark: '备注', // 备注
      ImgList: ['/assets/images/img5.jpg', '/assets/images/img5.jpg', '/assets/images/img5.jpg', '/assets/images/img5.jpg'], // banner
      OpenDate: '2016-02-02', // 开盘日期
      Address: '江苏省南京市某某路xx号', // 项目地址
      Type: '叠墅', // 物业类型
      News: '即将开放', // 最新动态
      IsCollect: false, // 是否已收藏
      PhoneNum: '', // 联系电话
      Id: '', // 楼盘id
      RoomTypeList: [{
        Img: '/assets/images/img1.jpg',
        Type: '商住',
        AreaNum: '33',
        State: '在售'
      }, {
        Img: '/assets/images/img1.jpg',
        Type: '商住',
        AreaNum: '33',
        State: '在售'
      }, {
        Img: '/assets/images/img1.jpg',
        Type: '商住',
        AreaNum: '33',
        State: '在售'
      }] // 户型
    }
  },
  MakeAnAppointment() { // 预约看房
    wx.navigateTo({
      url: '/pages/AppointmentTime/index?id='
    })
  },
  OpenPhone() { // 电话咨询
    let _self = this
    wx.makePhoneCall({
      phoneNumber: _self.data.EstateDetail.PhoneNum
    })
  }
})